Package org.eclipse.gef

# Class MouseWheelZoomHandler

java.lang.Object
org.eclipse.gef.MouseWheelZoomHandler

All Implemented Interfaces:
  `MouseWheelHandler`

public final class MouseWheelZoomHandler extends Object implements MouseWheelHandler
A MouseWheelHandler that zooms the given viewer. Typically, this handler should be registered on a viewer that supports zoom as follows:
`graphicalViewer.setProperty(MouseWheelHandler.KeyGenerator.getKey(SWT.MOD1), MouseWheelZoomHandler.SINGLETON);`

Since:
  3.1

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.gef.MouseWheelHandler

`MouseWheelHandler.KeyGenerator`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final MouseWheelHandler`
`SINGLETON`
The Singleton

## Method Summary

Modifier and Type
Method
Description
`void`
`handleMouseWheel(Event event, EditPartViewer viewer)`
Zooms the given viewer.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### SINGLETON

public static final MouseWheelHandler SINGLETON
The Singleton

## Method Details

### handleMouseWheel

public void handleMouseWheel(Event event, EditPartViewer viewer)
Zooms the given viewer.

Specified by:
  `handleMouseWheel` in interface `MouseWheelHandler`
Parameters:
  `event` - The SWT event that was generated as a result of the mouse-wheel scrolling
  `viewer` - The originating viewer
See Also:
  - `MouseWheelHandler.handleMouseWheel(Event, EditPartViewer)`